/****************************************************************************
** Form implementation generated from reading ui file '../../../../src/celestia/kde/videocapturedlgbase.ui'
**
** Created: 2015-11-13T04:47:50
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "videocapturedlgbase.uic.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <kurlrequester.h>
#include <kcombobox.h>
#include <qcombobox.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a VideoCaptureDlgBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
VideoCaptureDlgBase::VideoCaptureDlgBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "VideoCaptureDlgBase" );
    setSizeGripEnabled( TRUE );
    VideoCaptureDlgBaseLayout = new QVBoxLayout( this, 11, 6, "VideoCaptureDlgBaseLayout"); 

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QVBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    layout12 = new QHBoxLayout( 0, 0, 6, "layout12"); 

    fileLabel = new QLabel( groupBox1, "fileLabel" );
    layout12->addWidget( fileLabel );

    fileUrl = new KURLRequester( groupBox1, "fileUrl" );
    fileUrl->setShowLocalProtocol( FALSE );
    layout12->addWidget( fileUrl );
    groupBox1Layout->addLayout( layout12 );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    aspectRatioLabel = new QLabel( groupBox1, "aspectRatioLabel" );
    layout2->addWidget( aspectRatioLabel );

    aspectRatio = new KComboBox( FALSE, groupBox1, "aspectRatio" );
    layout2->addWidget( aspectRatio );
    groupBox1Layout->addLayout( layout2 );

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    imageSizeLabel = new QLabel( groupBox1, "imageSizeLabel" );
    layout7->addWidget( imageSizeLabel );

    imageSize = new QComboBox( FALSE, groupBox1, "imageSize" );
    layout7->addWidget( imageSize );
    groupBox1Layout->addLayout( layout7 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    frameRateLabel = new QLabel( groupBox1, "frameRateLabel" );
    layout3->addWidget( frameRateLabel );

    frameRate = new QSpinBox( groupBox1, "frameRate" );
    frameRate->setMaxValue( 30 );
    frameRate->setMinValue( 5 );
    frameRate->setValue( 12 );
    layout3->addWidget( frameRate );
    groupBox1Layout->addLayout( layout3 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    textLabel3 = new QLabel( groupBox1, "textLabel3" );
    layout4->addWidget( textLabel3 );

    videoQuality = new QSpinBox( groupBox1, "videoQuality" );
    videoQuality->setMaxValue( 10 );
    videoQuality->setValue( 10 );
    layout4->addWidget( videoQuality );
    groupBox1Layout->addLayout( layout4 );

    playVideo = new QCheckBox( groupBox1, "playVideo" );
    groupBox1Layout->addWidget( playVideo );
    VideoCaptureDlgBaseLayout->addWidget( groupBox1 );

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QVBoxLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    textLabel2 = new QLabel( groupBox2, "textLabel2" );
    groupBox2Layout->addWidget( textLabel2 );
    VideoCaptureDlgBaseLayout->addWidget( groupBox2 );

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 
    Horizontal_Spacing2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );
    VideoCaptureDlgBaseLayout->addLayout( Layout1 );
    languageChange();
    resize( QSize(443, 360).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( okSlot() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( cancelSlot() ) );
    connect( aspectRatio, SIGNAL( activated(int) ), this, SLOT( newAspectRatioSlot(int) ) );
    connect( fileUrl, SIGNAL( textChanged(const QString&) ), this, SLOT( filenameSlot(const QString&) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
VideoCaptureDlgBase::~VideoCaptureDlgBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void VideoCaptureDlgBase::languageChange()
{
    setCaption( tr( "Video Capture" ) );
    groupBox1->setTitle( tr( "Settings" ) );
    fileLabel->setText( tr( "Save As:" ) );
    fileUrl->setFilter( tr( "*.ogg" ) );
    aspectRatioLabel->setText( tr( "Aspect Ratio:" ) );
    aspectRatio->clear();
    aspectRatio->insertItem( tr( "Current" ) );
    aspectRatio->insertItem( tr( "11:9" ) );
    aspectRatio->insertItem( tr( "4:3" ) );
    aspectRatio->insertItem( tr( "16:9" ) );
    imageSizeLabel->setText( tr( "Image Size:" ) );
    frameRateLabel->setText( tr( "Frame Rate:" ) );
    textLabel3->setText( tr( "Video Quality:" ) );
    playVideo->setText( tr( "Play Video when capture is done" ) );
    groupBox2->setTitle( tr( "Usage" ) );
    textLabel2->setText( tr( "<p>Press <b>F11</b> to start/pause recording<br>\n"
"Press <b>F12</b> to stop</p>\n"
"\n"
"<p>Note that resizing the main window will not be possible until the end of the capture</p>" ) );
    buttonOk->setText( tr( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
    buttonCancel->setText( tr( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
}

void VideoCaptureDlgBase::newAspectRatioSlot(int)
{
    qWarning( "VideoCaptureDlgBase::newAspectRatioSlot(int): Not implemented yet" );
}

void VideoCaptureDlgBase::okSlot()
{
    qWarning( "VideoCaptureDlgBase::okSlot(): Not implemented yet" );
}

void VideoCaptureDlgBase::cancelSlot()
{
    qWarning( "VideoCaptureDlgBase::cancelSlot(): Not implemented yet" );
}

void VideoCaptureDlgBase::newMainWindowSizeSlot(int,int)
{
    qWarning( "VideoCaptureDlgBase::newMainWindowSizeSlot(int,int): Not implemented yet" );
}

void VideoCaptureDlgBase::filenameSlot(const QString&)
{
    qWarning( "VideoCaptureDlgBase::filenameSlot(const QString&): Not implemented yet" );
}

